[Armadeus-commitlog] SF.net SVN: armadeus:[1032] trunk/target/test
Brought to you by:
sszy
|
From: <ar...@us...> - 2009-01-28 17:03:13
|
Revision: 1032
http://armadeus.svn.sourceforge.net/armadeus/?rev=1032&view=rev
Author: artemys
Date: 2009-01-28 17:03:12 +0000 (Wed, 28 Jan 2009)
Log Message:
-----------
[TEST] Add a test to check SDL is running
Modified Paths:
--------------
trunk/target/test/packages/test_mplayer.sh
trunk/target/test/test_helpers.sh
Added Paths:
-----------
trunk/target/test/packages/test_sdl.sh
Modified: trunk/target/test/packages/test_mplayer.sh
===================================================================
--- trunk/target/test/packages/test_mplayer.sh 2009-01-28 16:55:33 UTC (rev 1031)
+++ trunk/target/test/packages/test_mplayer.sh 2009-01-28 17:03:12 UTC (rev 1032)
@@ -25,9 +25,7 @@
is_package_installed $EXEC_NAME
if [ "$?" == 0 ]; then
- # Wake up LCD
- echo 0 > /sys/class/graphics/fb0/blank
- sleep 1
+ wake_up_lcd
# Stop blinking cursor
echo 0 > /sys/class/graphics/fbcon/cursor_blink
# Get video
Added: trunk/target/test/packages/test_sdl.sh
===================================================================
--- trunk/target/test/packages/test_sdl.sh (rev 0)
+++ trunk/target/test/packages/test_sdl.sh 2009-01-28 17:03:12 UTC (rev 1032)
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+#
+# Script to test a Buildroot package for Armadeus Software release
+#
+# Copyright (C) 2008 The Armadeus Project
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+
+source ./test_helpers.sh
+source ./test_env.sh
+
+#DEBUG=True
+EXEC_NAME="water"
+
+test_cleanup()
+{
+ killall $EXEC_NAME
+}
+
+test_sdlwater()
+{
+ show_test_banner "SDL + Touch"
+
+ is_package_installed $EXEC_NAME
+
+ if [ "$?" == 0 ]; then
+ wake_up_lcd
+ # Launch it
+ export SDL_MOUSEDRV=TSLIB
+ export SDL_MOUSEDEV=$TSLIB_TSDEVICE
+ $EXEC_NAME /usr/share/images/water320.bmp 1>/dev/null &
+ echo "Touch the LCD screen please"
+ sleep 5
+ ask_user "Did you manage to draw water circles ? If OK say y"
+ if [ "$response" == "y" ]; then
+ echo_test_ok
+ test_cleanup
+ exit 0
+ fi
+ test_cleanup
+ fi
+
+ exit_failed
+}
+
+test_sdlwater
+
Property changes on: trunk/target/test/packages/test_sdl.sh
___________________________________________________________________
Added: svn:executable
+ *
Modified: trunk/target/test/test_helpers.sh
===================================================================
--- trunk/target/test/test_helpers.sh 2009-01-28 16:55:33 UTC (rev 1031)
+++ trunk/target/test/test_helpers.sh 2009-01-28 17:03:12 UTC (rev 1032)
@@ -85,3 +85,10 @@
fi
}
+wake_up_lcd()
+{
+ # Wake up LCD
+ echo 0 > /sys/class/graphics/fb0/blank
+ sleep 1
+}
+
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|